<VirtualHost 209.87.16.45:80 [2607:f8f0:614:1::1274:45]:80>
	ServerName pages.debian.net
	ServerAlias *.pages.debian.net
	ServerAdmin debian-admin@lists.debian.org

	CustomLog /var/log/apache2/pages.debian.net-access.log combined
	ErrorLog /var/log/apache2/pages.debian.net-error.log

	RewriteEngine On
	RewriteRule ^/?(.*) https://%{SERVER_NAME}/$1 [R,L]
</VirtualHost>

<VirtualHost 209.87.16.45:443 [2607:f8f0:614:1::1274:45]:443>
	ServerName pages.debian.net
	ServerAlias *.pages.debian.net
	ServerAdmin debian-admin@lists.debian.org

	Use common-debian-service-ssl pages.debian.net
	Use common-ssl-HSTS

	ErrorLog /var/log/apache2/pages.debian.net-error.log
	CustomLog /var/log/apache2/pages.debian.net-access.log combined

	#DocumentRoot /srv/salsa.debian.org/gitlab/public
	#<Directory /srv/salsa.debian.org/gitlab/public>
	#	Require all granted
	#</Directory>

	ProxyPreserveHost On
	AllowEncodedSlashes NoDecode

	ProxyPass / http://127.0.0.1:9080/ retry=10 nocanon
	ProxyPassReverse / http://127.0.0.1:9080/

	#RewriteEngine on
	#RewriteCond %{DOCUMENT_ROOT}/%{REQUEST_FILENAME} !-f [OR]
	#RewriteCond %{REQUEST_URI} ^/uploads/.*
	#RewriteRule .* http://127.0.0.1:9080%{REQUEST_URI} [P,QSA,NE]

	#RequestHeader set X_FORWARDED_PROTO 'https'
	#RequestHeader set X-Forwarded-Ssl on

	#ErrorDocument 403 /403.html
	#ErrorDocument 404 /404.html
	#ErrorDocument 422 /422.html
	#ErrorDocument 500 /500.html
	#ErrorDocument 502 /502.html
	#ErrorDocument 503 /503.html
</VirtualHost>

# vim:set syn=apache:
